List messages
curl --request GET \
--url https://api.managem.co.uk/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"conversationId": "<string>",
"sender": {
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
},
"body": "<string>",
"createdAt": "<string>",
"viewedAt": "<string>",
"attachments": [
{
"id": "<string>",
"imageId": "<string>",
"url": "<string>"
}
]
}
]Conversation
List messages
Retrieve paginated messages for a conversation.
Use this endpoint for conversation message timelines.
Query behavior:
- Supports pagination through
pageandsize. - Returns newest messages first.
GET
/
conversations
/
{id}
/
messages
List messages
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Conversation ID
Query Parameters
Page number, defaults to 1
Number of messages per page, defaults to 20
Response
List of messages
Unique identifier for the message
Conversation this message belongs to
User that sent the message
Show child attributes
Show child attributes
Content of the message
Timestamp when the message was created
Timestamp when the message was viewed
Images attached to the message
Show child attributes
Show child attributes